Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036385
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] StoreServermajorhave not tried2017-07-03 11:002017-07-17 15:22
ReporterAugustoMauchView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision1c80d277fbab
ProjectionnoneETAnoneTarget VersionRR17Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Regression levelPackaging and release
Regression date2017-06-08
Regression introduced in releaseRR17Q2
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/5b9d05b616c97890bac563e72fcc415931f75f89 [^]
Triggers an Emergency PackNo
Summary

0036385: Connection leak in ServerStateBackground is there are no servers to ping

DescriptionThis changeset [1] fixed a connection leak in ServerStateBackground, but only if there was at least one store server to be pinged from the central server. If there are none, connections are still being leaked:

[1] https://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/7edfb4a12cd4eec4d8a87c3a394b4c6ebd92ceae [^]
Steps To ReproduceIn a central server with no store server registered:
- Start tomcat
- Wait until the ServerStateBackground process is invoked. Each time it is invoked a connection will be leaked:

jul 03, 2017 10:56:07 AM org.apache.tomcat.jdbc.pool.ConnectionPool suspect
ADVERTENCIA: Connection has been marked suspect, possibly abandoned PooledConnection[org.postgresql.jdbc.PgConnection@5667c6bd][33259 ms.]:java.lang.Exception
    at org.apache.tomcat.jdbc.pool.ConnectionPool.getThreadDump(ConnectionPool.java:1096)
    at org.apache.tomcat.jdbc.pool.ConnectionPool.borrowConnection(ConnectionPool.java:799)
    at org.apache.tomcat.jdbc.pool.ConnectionPool.borrowConnection(ConnectionPool.java:648)
    at org.apache.tomcat.jdbc.pool.ConnectionPool.getConnection(ConnectionPool.java:200)
    at org.apache.tomcat.jdbc.pool.DataSourceProxy.getConnection(DataSourceProxy.java:128)
    at org.openbravo.apachejdbcconnectionpool.JdbcExternalConnectionPool.getConnectionFromDS(JdbcExternalConnectionPool.java:130)
    at org.openbravo.apachejdbcconnectionpool.JdbcExternalConnectionPool.getConnection(JdbcExternalConnectionPool.java:110)
    at org.openbravo.dal.core.SessionHandler.getNewConnection(SessionHandler.java:300)
    at org.openbravo.dal.core.SessionHandler.createSession(SessionHandler.java:235)
    at org.openbravo.dal.core.SessionHandler.begin(SessionHandler.java:561)
    at org.openbravo.dal.core.SessionHandler.getSession(SessionHandler.java:183)
    at org.openbravo.dal.core.SessionHandler.find(SessionHandler.java:534)
    at org.openbravo.dal.core.SessionHandler.find(SessionHandler.java:500)
    at org.openbravo.dal.service.OBDal.get(OBDal.java:353)
    at org.openbravo.mobile.core.authenticate.MobileAuthenticationKeyUtils.getKey(MobileAuthenticationKeyUtils.java:133)
    at org.openbravo.mobile.core.authenticate.MobileAuthenticationKeyUtils.encrypt(MobileAuthenticationKeyUtils.java:88)
    at org.openbravo.mobile.core.authenticate.MobileAuthenticationKeyUtils.getEncryptedAuthenticationToken(MobileAuthenticationKeyUtils.java:77)
    at org.openbravo.mobile.core.servercontroller.MobileServerUtils.getAuthenticationQueryParams(MobileServerUtils.java:198)
    at org.openbravo.mobile.core.servercontroller.ServerStateBackground$PingRunnable.run(ServerStateBackground.java:414)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0036384 closedAugustoMauch Connection leak in ServerStateBackground is there are no servers to ping 

-  Notes
(0098104)
hgbot (developer)
2017-07-17 15:22

Repository: retail/backports/3.0RR17Q3/org.openbravo.mobile.core
Changeset: 1c80d277fbab48a50a5de2a942d2c00318674988
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Mon Jul 17 15:20:31 2017 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR17Q3/org.openbravo.mobile.core/rev/1c80d277fbab48a50a5de2a942d2c00318674988 [^]

Fixes issue 36385: Fixes connection leak in ServerStateBackground

Commits the connection outside the for loop, to ensure the connections is commited even if there are no store server to be pinged.

---
M src/org/openbravo/mobile/core/servercontroller/ServerStateBackground.java
---

- Issue History
Date Modified Username Field Change
2017-07-03 11:17 AugustoMauch Type defect => backport
2017-07-03 11:17 AugustoMauch Target Version => RR17Q3
2017-07-17 01:00 mtaal Assigned To AugustoMauch => mtaal
2017-07-17 15:19 mtaal Review Assigned To => AugustoMauch
2017-07-17 15:22 hgbot Checkin
2017-07-17 15:22 hgbot Note Added: 0098104
2017-07-17 15:22 hgbot Status scheduled => resolved
2017-07-17 15:22 hgbot Resolution open => fixed
2017-07-17 15:22 hgbot Fixed in SCM revision => http://code.openbravo.com/retail/backports/3.0RR17Q3/org.openbravo.mobile.core/rev/1c80d277fbab48a50a5de2a942d2c00318674988 [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker